summaryrefslogtreecommitdiff
path: root/tests
diff options
context:
space:
mode:
authorPádraig Brady <P@draigBrady.com>2016-01-15 14:16:11 +0000
committerPádraig Brady <P@draigBrady.com>2016-01-15 14:19:48 +0000
commit7648870f391f7565b8a9b0c98d10ff9a0f32ecb7 (patch)
tree9d4b6e1e1993aff617e0e7e33fa0661205220123 /tests
parent4c7d82f1f11a3e122befccde505a1dc4519a22e7 (diff)
downloadcoreutils-7648870f391f7565b8a9b0c98d10ff9a0f32ecb7.tar.xz
tests: adjust memory limits in head-c.sh
* tests/misc/head-c.sh: Further increase the limit, to account for the fact that head(1) needs at least 1.576MB over the base test command on FreeBSD 10. 4MB should be enough headroom while still providing over allocation protection. Reported by Assaf Gordon.
Diffstat (limited to 'tests')
-rwxr-xr-xtests/misc/head-c.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/tests/misc/head-c.sh b/tests/misc/head-c.sh
index 3d7252f67..cc544f978 100755
--- a/tests/misc/head-c.sh
+++ b/tests/misc/head-c.sh
@@ -42,7 +42,7 @@ esac
# Only allocate memory as needed.
# Coreutils <= 8.21 would allocate memory up front
# based on the value passed to -c
-(ulimit -v $(($vm+1000)) && head --bytes=-$SSIZE_MAX < /dev/null) || fail=1
+(ulimit -v $(($vm+4000)) && head --bytes=-$SSIZE_MAX < /dev/null) || fail=1
# Make sure it works on funny files in /proc and /sys.